org.apache.calcite.avatica.remote

## Class AvaticaHttpClientImpl

- java.lang.Object
- - org.apache.calcite.avatica.remote.AvaticaHttpClientImpl

All Implemented Interfaces:
  AvaticaHttpClient

    public class AvaticaHttpClientImpl
    extends Object
    implements AvaticaHttpClient

A common class to invoke HTTP requests against the Avatica server agnostic of the data being sent and received across the wire.

### Field Summary

Fields
`protected URL` `url`

### Constructor Summary

Constructors
Constructor and Description
`AvaticaHttpClientImpl(URL url)`

### Method Summary

Methods
`(package private) HttpURLConnection` `openConnection()`
`byte[]` `send(byte[] request)` Sends a serialized request to the Avatica server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### url

    protected final URL url

### Constructor Detail

#### AvaticaHttpClientImpl

    public AvaticaHttpClientImpl(URL url)

### Method Detail

#### send

    public byte[] send(byte[] request)

Description copied from interface: `AvaticaHttpClient`
Sends a serialized request to the Avatica server.

Specified by:
  `send` in interface `AvaticaHttpClient`
Parameters:
  `request` - The serialized request.
Returns:
  The serialized response.

#### openConnection

    HttpURLConnection openConnection()
                               throws IOException

Throws:
  `IOException`